| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Properties | List of all members
LicenseSpring.LicenseFeature Class Reference

License feature. More...

Inheritance diagram for LicenseSpring.LicenseFeature:

## Public Types
enum | Type { None , Activation , Consumption }
| Feature type enumeration. More...

## Public Member Functions
bool | Equals (LicenseFeature other)
| Returns whether LicenseFeatures are equal.
override bool | Equals (object obj)
| Override Object.Equals.
override int | GetHashCode ()
| Override Object.GetHashCode.
bool | IsBorrowed ()
| Checks if the feature is borrowed.Meaningful only for floating features, see ILicense.BorrowFloatingFeature(ILicenseFeature, DateTime).
bool | IsExpired ()
| Is license feature expired. Returns Boolean value indicating whether license feature is expired
| LicenseFeature ()
| LicenseFeature default constructor.
| LicenseFeature (string code, Type type)
| LicenseFeature constructor.
uint | MaxBorrowTime ()
| Maximum borrowing period in hours.Meaningful only for floating features.
override string | ToString ()
| Override Object.ToString, helper method, do not rely on its output.

## Static Public Member Functions
static Type | FeatureTypeFromString (string value)
| Helper function. Converts string value to feature type (LicenseFeature.Type)

## Properties
bool | AllowNegativeConsumptions`[get]`
| Indicates whether negative consumption is allowed for Consumption feature.Meaningful only for Consumption license features.
bool | AllowOverages`[get]`
| Indicates whether overage is allowed for Consumption feature.Meaningful only for Consumption license features.
bool | AllowUnlimitedConsumptions`[get]`
| Indicates whether unlimited consumption is allowed for Consumption feature.Meaningful only for Consumption license features.
string | Code`[get]`
| Feature code.
ConsumptionPeriod | ConsumptionPeriod`[get]`
| Period of time after which consumption is reset.Meaningful only for Consumption license features.
DateTime | ExpiryDate`[get]`
| It's final end date and time license feature is valid.The DateTime when license feature expires in local time
DateTime | ExpiryDateUtc`[get]`
| It's final end date and time license feature is valid.The DateTime when license feature expires in UTC
Type | FeatureType`[get]`
| Feature type.
DateTime | FloatingEndDateTime`[get]`
| Point in time until which a floating feature is registered. Expressed in local time.Meaningful only for floating features. Returns DateTime.Now if a feature is not registered or is not floating.
DateTime | FloatingEndDateTimeUtc`[get]`
| Point in time until which a floating feature is registered. Expressed in UTC.Meaningful only for floating licenses. Returns DateTime.Now if a feature is not registered or is not floating.
uint | FloatingSlotsCount`[get]`
| Maximum number of simultaneous users allowed for this feature.Meaningful only for floating features.
uint | FloatingSlotsInUse`[get]`
| Current number of simultaneous users using this feature.Meaningful only for floating features.
uint | FloatingTimeout`[get]`
| Duration of floating feature registration in minutes.Meaningful only for floating features.
bool | IsFloating`[get]`
| Is this feature a floating feature.
bool | IsOfflineFloating`[get]`
| Is this feature an offline server floating feature.
long | LocalConsumption`[get]`
| Local consumption of the feature, this is the amount which has not been synced yet.Meaningful only for consumption feature type.
long | MaxConsumption`[get]`
| Maximum consumption of the feature.Meaningful only for consumption feature type.
long | MaxOverages`[get]`
| Maximum overage allowed for the license feature.Meaningful only for Consumption feature type, the value is 0 in case of unlimited overages
string | Metadata`[get]`
| Feature metadata.
string | Name`[get]`
| Feature name.
bool | ResetConsumption`[get]`
| Indicates whether consumption resets after a certain period of time.Meaningful only for Consumption license features.
long | TotalConsumption`[get]`
| Total consumption of the feature, it includes LocalConsumption.Meaningful only for consumption feature type.
Properties inherited from LicenseSpring.ILicenseFeature

## Detailed Description

License feature.

Particular license may or may not have some of the product features.

## Member Enumeration Documentation

## ◆ Type

enum LicenseSpring.LicenseFeature.Type

Feature type enumeration.

Enumerator
None | Invalid type.
Activation | Activation license feature type.
Consumption | Consumption license feature type.

## Constructor & Destructor Documentation

## ◆ LicenseFeature()

LicenseSpring.LicenseFeature.LicenseFeature | ( | string | code,
|  | Type | type
| ) |  |

LicenseFeature constructor.

Parameters

  code | Feature code
  type | Feature type

## Member Function Documentation

## ◆ Equals() [1/2]

bool LicenseSpring.LicenseFeature.Equals | ( | LicenseFeature | other | ) |

Returns whether LicenseFeatures are equal.

Parameters

  other | Object to compare

Returns
  true if equal and false otherwise

## ◆ Equals() [2/2]

override bool LicenseSpring.LicenseFeature.Equals | ( | object | obj | ) |

Override Object.Equals.

Parameters

  obj | Object to compare

Returns
  true if equal and false otherwise

## ◆ FeatureTypeFromString()

static Type LicenseSpring.LicenseFeature.FeatureTypeFromString | ( | string | value | ) |
| static

Helper function. Converts string value to feature type (LicenseFeature.Type)

Parameters

  value | String value of the feature type

Returns
  LicenseFeature.Type value

## ◆ GetHashCode()

override int LicenseSpring.LicenseFeature.GetHashCode | ( |  | ) |

Override Object.GetHashCode.

Returns
  Hash code

## ◆ IsBorrowed()

bool LicenseSpring.LicenseFeature.IsBorrowed | ( |  | ) |

Checks if the feature is borrowed.Meaningful only for floating features, see ILicense.BorrowFloatingFeature(ILicenseFeature, DateTime).

Implements LicenseSpring.ILicenseFeature.

## ◆ IsExpired()

bool LicenseSpring.LicenseFeature.IsExpired | ( |  | ) |

Is license feature expired.

Returns
  Boolean value indicating whether license feature is expired

Implements LicenseSpring.ILicenseFeature.

## ◆ MaxBorrowTime()

uint LicenseSpring.LicenseFeature.MaxBorrowTime | ( |  | ) |

Maximum borrowing period in hours.Meaningful only for floating features.

Implements LicenseSpring.ILicenseFeature.

## ◆ ToString()

override string LicenseSpring.LicenseFeature.ToString | ( |  | ) |

Override Object.ToString, helper method, do not rely on its output.

Returns
  String with information about this license feature.

Implements LicenseSpring.ILicenseFeature.

## Property Documentation

## ◆ AllowNegativeConsumptions

bool LicenseSpring.LicenseFeature.AllowNegativeConsumptions
| get

Indicates whether negative consumption is allowed for Consumption feature.Meaningful only for Consumption license features.

Implements LicenseSpring.ILicenseFeature.

## ◆ AllowOverages

bool LicenseSpring.LicenseFeature.AllowOverages
| get

Indicates whether overage is allowed for Consumption feature.Meaningful only for Consumption license features.

Implements LicenseSpring.ILicenseFeature.

## ◆ AllowUnlimitedConsumptions

bool LicenseSpring.LicenseFeature.AllowUnlimitedConsumptions
| get

Indicates whether unlimited consumption is allowed for Consumption feature.Meaningful only for Consumption license features.

Implements LicenseSpring.ILicenseFeature.

## ◆ Code

string LicenseSpring.LicenseFeature.Code
| get

Feature code.

Implements LicenseSpring.ILicenseFeature.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.LicenseFeature.ConsumptionPeriod
| get

Period of time after which consumption is reset.Meaningful only for Consumption license features.

Implements LicenseSpring.ILicenseFeature.

## ◆ ExpiryDate

DateTime LicenseSpring.LicenseFeature.ExpiryDate
| get

It's final end date and time license feature is valid.The DateTime when license feature expires in local time

Implements LicenseSpring.ILicenseFeature.

## ◆ ExpiryDateUtc

DateTime LicenseSpring.LicenseFeature.ExpiryDateUtc
| get

It's final end date and time license feature is valid.The DateTime when license feature expires in UTC

Implements LicenseSpring.ILicenseFeature.

## ◆ FeatureType

Type LicenseSpring.LicenseFeature.FeatureType
| get

Feature type.

Implements LicenseSpring.ILicenseFeature.

## ◆ FloatingEndDateTime

DateTime LicenseSpring.LicenseFeature.FloatingEndDateTime
| get

Point in time until which a floating feature is registered. Expressed in local time.Meaningful only for floating features. Returns DateTime.Now if a feature is not registered or is not floating.

Implements LicenseSpring.ILicenseFeature.

## ◆ FloatingEndDateTimeUtc

DateTime LicenseSpring.LicenseFeature.FloatingEndDateTimeUtc
| get

Point in time until which a floating feature is registered. Expressed in UTC.Meaningful only for floating licenses. Returns DateTime.Now if a feature is not registered or is not floating.

Implements LicenseSpring.ILicenseFeature.

## ◆ FloatingSlotsCount

uint LicenseSpring.LicenseFeature.FloatingSlotsCount
| get

Maximum number of simultaneous users allowed for this feature.Meaningful only for floating features.

Implements LicenseSpring.ILicenseFeature.

## ◆ FloatingSlotsInUse

uint LicenseSpring.LicenseFeature.FloatingSlotsInUse
| get

Current number of simultaneous users using this feature.Meaningful only for floating features.

Implements LicenseSpring.ILicenseFeature.

## ◆ FloatingTimeout

uint LicenseSpring.LicenseFeature.FloatingTimeout
| get

Duration of floating feature registration in minutes.Meaningful only for floating features.

Implements LicenseSpring.ILicenseFeature.

## ◆ IsFloating

bool LicenseSpring.LicenseFeature.IsFloating
| get

Is this feature a floating feature.

Implements LicenseSpring.ILicenseFeature.

## ◆ IsOfflineFloating

bool LicenseSpring.LicenseFeature.IsOfflineFloating
| get

Is this feature an offline server floating feature.

Implements LicenseSpring.ILicenseFeature.

## ◆ LocalConsumption

long LicenseSpring.LicenseFeature.LocalConsumption
| get

Local consumption of the feature, this is the amount which has not been synced yet.Meaningful only for consumption feature type.

Implements LicenseSpring.ILicenseFeature.

## ◆ MaxConsumption

long LicenseSpring.LicenseFeature.MaxConsumption
| get

Maximum consumption of the feature.Meaningful only for consumption feature type.

Implements LicenseSpring.ILicenseFeature.

## ◆ MaxOverages

long LicenseSpring.LicenseFeature.MaxOverages
| get

Maximum overage allowed for the license feature.Meaningful only for Consumption feature type, the value is 0 in case of unlimited overages

Implements LicenseSpring.ILicenseFeature.

## ◆ Metadata

string LicenseSpring.LicenseFeature.Metadata
| get

Feature metadata.

Implements LicenseSpring.ILicenseFeature.

## ◆ Name

string LicenseSpring.LicenseFeature.Name
| get

Feature name.

Implements LicenseSpring.ILicenseFeature.

## ◆ ResetConsumption

bool LicenseSpring.LicenseFeature.ResetConsumption
| get

Indicates whether consumption resets after a certain period of time.Meaningful only for Consumption license features.

Implements LicenseSpring.ILicenseFeature.

## ◆ TotalConsumption

long LicenseSpring.LicenseFeature.TotalConsumption
| get

Total consumption of the feature, it includes LocalConsumption.Meaningful only for consumption feature type.

Implements LicenseSpring.ILicenseFeature.

The documentation for this class was generated from the following file:

- LicenseFeature.cs